Loading...
Searching...
No Matches
enumset.hh File Reference

Classes for building sets out of enumeration values. More...

`#include <iostream>`

Go to the source code of this file.

## Classes

class | Dune::EmptySet< TA >
| An empty set. More...
class | Dune::AllSet< TA >
| A set containing everything. More...
class | Dune::EnumItem< TA, item >
| A set consisting only of one item. More...
class | Dune::EnumRange< TA, from, end >
| A set representing a range including the borders. More...
class | Dune::NegateSet< S >
| The negation of a set. An item is contained in the set if and only if it is not contained in the negated set. More...
class | Dune::Combine< TI1, TI2, TA >
| A set combining two other sets. More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename TA, int i>
std::ostream & | Dune::operator<< (std::ostream &os, const EnumItem< TA, i > &)
template<typename TA, int from, int to>
std::ostream & | Dune::operator<< (std::ostream &os, const EnumRange< TA, from, to > &)
template<class TI1, class TI2>
Combine< TI1, TI2, typename TI1::Type > | Dune::combine (const TI1 &set1, const TI2 &set2)
template<class TI1, class TI2, class T>
std::ostream & | Dune::operator<< (std::ostream &os, const Combine< TI1, TI2, T > &)

## Detailed Description

Classes for building sets out of enumeration values.

Author
  Markus Blatt